package com.platform.pojo;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.io.Serializable;

@XmlType(propOrder = { "orderName","orderDate","phoneNumber", "orderSectionNo","orderSectionName","orderDoctorNo","orderDocotorName","orderType","orderTypeName","regType","regTypeName","regCategoryNo","regCategoryName","orderSource","sortNo","idCardNo","cardNo","regStatus","regStatusName","orderTime","visitDate","visitTime"})
public class PreregedPatient implements Serializable {
    private static final long serialVersionUID = -2319401882275718718L;

    private String orderName;//预约人姓名
    private String orderDate;//预约日期
    private String phoneNumber;//手机号码
    private String orderSectionNo;//预约科室编号
    private String orderSectionName;//预约科室名称
    private String orderDoctorNo;//预约医师编号
    private String orderDocotorName;//预约医师姓名
    private String orderType;//预约类型编码：1-初诊 2-复诊
    private String orderTypeName;//预约类型：1-初诊 2-复诊
    private String regType;//挂号时段编码
    private String regTypeName;//挂号时段：AM-上午 PM-下午
    private String regCategoryNo;//医师级别编码：005-主治医师 006-住院医师 001-主任医师    002-副主任医师    003-中医主任医师 004-中医副主任医师
    private String regCategoryName;//医师级别：005-主治医师 006-住院医师 001-主任医师    002-副主任医师    003-中医主任医师 004-中医副主任医师
    private String orderSource;//预约来源：1-院内自助机 2-微信公众号
    private  String sortNo;//号源序号
    private String idCardNo;//身份证号
    private String cardNo;//就诊卡号
    private String regStatus;//预约状态id
    private String regStatusName;//预约状态
    private String orderTime;//预约时间
    private String visitDate;//就诊日期
    private String visitTime;//就诊时间

    @XmlElement(name = "orderName")
    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }
    @XmlElement(name = "orderDate")
    public String getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(String orderDate) {
        this.orderDate = orderDate;
    }
    @XmlElement(name = "phoneNumber")
    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }
    @XmlElement(name = "orderSectionNo")
    public String getOrderSectionNo() {
        return orderSectionNo;
    }

    public void setOrderSectionNo(String orderSectionNo) {
        this.orderSectionNo = orderSectionNo;
    }
    @XmlElement(name = "orderSectionName")
    public String getOrderSectionName() {
        return orderSectionName;
    }

    public void setOrderSectionName(String orderSectionName) {
        this.orderSectionName = orderSectionName;
    }
    @XmlElement(name = "orderDoctorNo")
    public String getOrderDoctorNo() {
        return orderDoctorNo;
    }

    public void setOrderDoctorNo(String orderDoctorNo) {
        this.orderDoctorNo = orderDoctorNo;
    }
    @XmlElement(name = "orderDocotorName")
    public String getOrderDocotorName() {
        return orderDocotorName;
    }

    public void setOrderDocotorName(String orderDocotorName) {
        this.orderDocotorName = orderDocotorName;
    }
    @XmlElement(name = "orderType")
    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }
    @XmlElement(name = "orderTypeName")
    public String getOrderTypeName() {
        return orderTypeName;
    }

    public void setOrderTypeName(String orderTypeName) {
        this.orderTypeName = orderTypeName;
    }
    @XmlElement(name = "regType")
    public String getRegType() {
        return regType;
    }

    public void setRegType(String regType) {
        this.regType = regType;
    }
    @XmlElement(name = "regTypeName")
    public String getRegTypeName() {
        return regTypeName;
    }

    public void setRegTypeName(String regTypeName) {
        this.regTypeName = regTypeName;
    }
    @XmlElement(name = "regCategoryNo")
    public String getRegCategoryNo() {
        return regCategoryNo;
    }

    public void setRegCategoryNo(String regCategoryNo) {
        this.regCategoryNo = regCategoryNo;
    }
    @XmlElement(name = "regCategoryName")
    public String getRegCategoryName() {
        return regCategoryName;
    }

    public void setRegCategoryName(String regCategoryName) {
        this.regCategoryName = regCategoryName;
    }
    @XmlElement(name = "orderSource")
    public String getOrderSource() {
        return orderSource;
    }

    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }
    @XmlElement(name = "sortNo")
    public String getSortNo() {
        return sortNo;
    }

    public void setSortNo(String sortNo) {
        this.sortNo = sortNo;
    }
    @XmlElement(name = "idCardNo")
    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }
    @XmlElement(name = "cardNo")
    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }
    @XmlElement(name = "regStatus")
    public String getRegStatus() {
        return regStatus;
    }

    public void setRegStatus(String regStatus) {
        this.regStatus = regStatus;
    }
    @XmlElement(name = "regStatusName")
    public String getRegStatusName() {
        return regStatusName;
    }

    public void setRegStatusName(String regStatusName) {
        this.regStatusName = regStatusName;
    }
    @XmlElement(name = "orderTime")
    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }
    @XmlElement(name = "visitDate")
    public String getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(String visitDate) {
        this.visitDate = visitDate;
    }
    @XmlElement(name = "visitTime")
    public String getVisitTime() {
        return visitTime;
    }

    public void setVisitTime(String visitTime) {
        this.visitTime = visitTime;
    }
}
